%{?nodejs_find_provides_and_requires}

%global packagename cipher-base
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.0.3
Release: 1%{?dist}.3
Summary: abstract base class for crypto-streams
License: MIT
URL: https://github.com/crypto-browserify/cipher-base#readme
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 3.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 4.2.0
BuildRequires: npm(tape) < 5.0.0
%endif

%description
Abstract base class to inherit from if you want to create streams implementing
the same api as node crypto streams.


%prep
%setup -q -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
node test.js
%endif


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 1.0.3-1
- Initial package.
